//////////////////////////////////////////////////////////////////////////////
//
//    OPTIONSDIALOG.H
//
//    Copyright (C) 2003 Gilles CAULIER <caulier.gilles@free.fr>
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////


#ifndef OptionsDialog_H
#define OptionsDialog_H

// Include files for Qt

#include <qvbox.h>
#include <qlayout.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qstring.h>

// Include files for KDE

#include <kdialogbase.h>
#include <klocale.h>
#include <klineedit.h>
#include <kiconloader.h>
#include <kfiledialog.h>
#include <kiconloader.h>

class OptionsDialog : public KDialogBase
{
Q_OBJECT

 public:
   OptionsDialog(QWidget *parent=0);
   ~OptionsDialog();

   KLineEdit* IMBinFolderEditFilename;
   KLineEdit* MJBinFolderEditFilename;

 private slots:
   void slotIMBinFolderFilenameDialog(void);
   void slotMJBinFolderFilenameDialog(void);

 private:
   KIconLoader* Icons;
   QPixmap LoadIcon( QString Name, int Group );

 protected:
};

#endif  // OptionsDialog.H
