//////////////////////////////////////////////////////////////////////////////
//
//    SENDIMAGESDIALOG.H
//
//    Copyright (C) 2003 Gilles CAULIER <caulier.gilles@free.fr>
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////


#ifndef SENDIMAGESDIALOG_H
#define SENDIMAGESDIALOG_H

// Include files for Qt

#include <qvbox.h>
#include <qlayout.h>
#include <qdir.h>
#include <qwidget.h>
#include <qfile.h>
#include <qtextstream.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qstring.h>
#include <qwhatsthis.h>
#include <qcombobox.h>
#include <qcheckbox.h>
#include <qprogressdialog.h>
#include <qtimer.h>
#include <qimage.h>

// Include files for KDE

#include <kdialogbase.h>
#include <klocale.h>
#include <klineedit.h>
#include <kiconloader.h>
#include <kfiledialog.h>
#include <kiconloader.h>
#include <kmessagebox.h>
#include <knuminput.h>
#include <kinstance.h>
#include <kconfig.h>
#include <kapplication.h>
#include <knuminput.h>
#include <kdebug.h>
#include <kmessagebox.h>
#include <kdialogbase.h>
#include <kprocess.h>


class SendImagesDialog : public KDialogBase
{
Q_OBJECT

 public:
   SendImagesDialog(QWidget *parent=0, QString TmpPath=0);
   ~SendImagesDialog();

   KIntNumInput *m_imageCompression;

   QComboBox    *m_imagesFormat;
   QComboBox    *m_imagesResize;
   QComboBox    *m_mailAgentName;

   QLabel       *m_labelImageFormat;
   QLabel       *m_labelImageSize;
   QLabel       *m_mailAgentLabel;

   QCheckBox    *m_addComments;
   QCheckBox    *m_changeImagesProp;

 private slots:
   void slotAbout( void );
   void slotOk();
   void slotCancelled();
   void slotMozillaTimeout(void);
   void slotMozillaExited(KProcess* proc);
   void slotMozillaReadStderr(KProcess* proc, char *buffer, int buflen);

 protected:
   KConfig         *m_config;
   QString          m_tempPath;
   bool             m_cancelled;
   QProgressDialog *m_progressDlg;
   QStringList      m_imagesSendList;
   KProcess        *m_mailAgentProc;
   KProcess        *m_mailAgentProc2;
   KProcess        *m_mailAgentProc3;
   QTimer          *m_mozillaTimer;
   QString          m_mozillaStdErr;

   QString extension(const QString& imageFileFormat);
   void removeTmpFiles(void);
   bool DeleteDir(QString dirname);
   bool deldir(QString dirname);
   int  getSize ( const QString &choice );
   bool ResizeImage( const QString &SourcePath, const QString &DestPath, const QString &ImageFormat,
                     const QString &ImageName, int SizeFactor, int ImageCompression);
};

#endif  // SENDIMAGESDIALOG_H
